package com.tecnavia.utils;

import android.content.Context;
import android.view.Display;
import android.view.WindowManager;

import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.module.annotations.ReactModule;

@ReactModule(name  = "TaUtils")
public class TaUtilsModule extends ReactContextBaseJavaModule {
    public TaUtilsModule(ReactApplicationContext reactContext) {
        super(reactContext);
    }

    @Override
    public String getName() {
        return "TaUtils";
    }

    @ReactMethod
    public void isEInk(Promise promise){
        try {
            Display display = ((WindowManager) getReactApplicationContext().getSystemService(Context.WINDOW_SERVICE)).getDefaultDisplay();
            promise.resolve(display.getRefreshRate() <= 10);
        } catch(Exception e ){
            e.printStackTrace();
        }
    }
}
